# NB :ben and :zack use the legacy crypto provider (Sha512) ... when they're
# tested for valid_password?() it will transition their password
# (re: test/libs/user.rb). This could have unintended side-effects (like auto-
# resetting their persistence token when checking password) -- one solution
# is to just switch in users(:aaron) for those tests.
ben:
  company: binary_logic
  projects: web_services
  login: bjohnson
  password_salt: <%= salt = Authlogic::Random.hex_token %>
  crypted_password: <%= Authlogic::CryptoProviders::Sha512.encrypt("benrocks" + salt) %>
  persistence_token: 6cde0674657a8a313ce952df979de2830309aa4c11ca65805dd00bfdc65dbcc2f5e36718660a1d2e68c1a08c276d996763985d2f06fd3d076eb7bc4d97b1e317
  single_access_token: <%= Authlogic::Random.friendly_token %>
  perishable_token: <%= Authlogic::Random.friendly_token %>
  email: bjohnson@binarylogic.com
  first_name: Ben
  last_name: Johnson

zack:
  company: logic_over_data
  projects: web_services
  login: zackham
  password_salt: <%= salt = Authlogic::Random.hex_token %>
  crypted_password: <%= Authlogic::CryptoProviders::Sha512.encrypt("zackrocks" + salt) %>
  persistence_token: fd3c2d5ce09ab98e7547d21f1b3dcf9158a9a19b5d3022c0402f32ae197019fce3fdbc6614d7ee57d719bae53bb089e30edc9e5d6153e5bc3afca0ac1d320342
  single_access_token: <%= Authlogic::Random.friendly_token %>
  email: zham@ziggityzack.com
  first_name: Zack
  last_name: Ham

aaron:
  company: cigital
  projects: web_services
  login: abedra
  crypted_password: <%= Authlogic::CryptoProviders::SCrypt.encrypt("aaronrocks") %>
  persistence_token: e3d853f5aa0dacac5c257d03c4e097a3a7f51b182a8fc4f62096d05e939b019855aff0290157ac854e4195f13284ff5223f1996d0fd073e7e360171de54db278
  single_access_token: <%= Authlogic::Random.friendly_token %>
  perishable_token: <%= Authlogic::Random.friendly_token %>
  email: abedra@cigital.com
  first_name: Aaron
  last_name: Bedra
